### Method

# GIRepository Repository prepend_search_path

since: 2.80

#### Declaration

    void
    gi_repository_prepend_search_path (
      GIRepository* repository,
      const char* directory
    )

#### Description

Prepends `directory` to the typelib search path.

See also: gi_repository_get_search_path().

Available since: 2.80

#### Parameters

`directory`

  Type: `const char*`

  Directory name to prepend to the typelib search path.

  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.